Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
BigQuery 的預先定義姿勢,基本
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
本頁面說明 BigQuery 預先定義的基礎安全狀態 v1.0 版中包含的偵測政策。這項狀態包含一組政策,用於定義適用於 BigQuery 工作負載的安全狀態分析偵測器。
您可以使用這項預先定義的資安態勢,設定有助於保護 BigQuery 資源的資安態勢。您可以部署這項預先定義的姿勢,
不必進行任何變更。
安全狀態分析偵測工具
下表說明這項安全狀態包含的「安全狀態分析」偵測工具。
| 偵測工具名稱 |
說明 |
BIGQUERY_TABLE_CMEK_DISABLED |
這個偵測器會檢查 BigQuery 資料表是否未設定使用客戶管理的加密金鑰 (CMEK)。詳情請參閱「資料集安全漏洞發現結果」。 |
PUBLIC_DATASET |
這個偵測器會檢查資料集是否設為開放公開存取。詳情請參閱「資料集安全漏洞發現結果」。 |
查看防護機制範本
如要查看 BigQuery Essentials 的姿勢範本,請按照下列步驟操作:
gcloud
使用下列任何指令資料之前,請先替換以下項目:
-
ORGANIZATION_ID:組織的數字 ID。
執行
gcloud scc posture-templates
describe
指令:
Linux、macOS 或 Cloud Shell
gcloud scc posture-templates describe \
organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential
Windows (PowerShell)
gcloud scc posture-templates describe `
organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential
Windows (cmd.exe)
gcloud scc posture-templates describe ^
organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential
回覆會包含姿勢範本。
REST
使用任何要求資料之前,請先修改下列項目的值:
-
ORGANIZATION_ID:組織的數字 ID。
HTTP 方法和網址:
GET https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential
請展開以下其中一個選項,以傳送要求:
curl (Linux、macOS 或 Cloud Shell)
執行下列指令:
curl -X GET \
-H "Authorization: Bearer $(gcloud auth print-access-token)" \
"https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential"
PowerShell (Windows)
執行下列指令:
$cred = gcloud auth print-access-token
$headers = @{ "Authorization" = "Bearer $cred" }
Invoke-WebRequest `
-Method GET `
-Headers $headers `
-Uri "https://securityposture.googleapis.com/v1/organizations/ORGANIZATION_ID/locations/global/postureTemplates/big_query_essential" | Select-Object -Expand Content
回覆會包含姿勢範本。
後續步驟
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-05-03 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["難以理解","hardToUnderstand","thumb-down"],["資訊或程式碼範例有誤","incorrectInformationOrSampleCode","thumb-down"],["缺少我需要的資訊/範例","missingTheInformationSamplesINeed","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-05-03 (世界標準時間)。"],[],[]]